package com.xzzn.ems.service;

import com.xzzn.ems.domain.vo.*;

import java.util.List;
import java.util.Map;

/**
 * 综合查询 服务层
 *
 */
public interface IGeneralQueryService
{

    // 模糊查询获取点位名称List
    public List<GeneralQueryPointOptionVo> getPointNameList(PointNameRequest request);

    // 根据条件获取点位数据变化
    public List<GeneralQueryResponse> getPointValueList(PointNameRequest request);

    // 根据siteId获取下面对应的单体电池编号
    public Map<String,List<String>> getAllBatteryIdsBySites(String[] siteIds);
}
